
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateAesopdocumentInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopdocument.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import java.util.Collection;

import cc.struts.cian3.aesopdocument.service.AesopdocumentService;
import cc.struts.cian3.aesopdocument.dto.AesopdocumentDTO;
import cc.struts.cian3.aesopdocument.form.AesopdocumentForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class UpdateAesopdocumentInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopdocumentService service = new AesopdocumentService();
        AesopdocumentForm aesopdocumentForm = (AesopdocumentForm) form;
        AesopdocumentDTO aesopdocumentDTO = new AesopdocumentDTO();
        BeanUtils.copyProperties( aesopdocumentDTO, aesopdocumentForm );

        HttpSession session = request.getSession();
        Collection groupcode_cd = service.selectGroupcodeCodeList();
        session.setAttribute( "groupcode_cd", groupcode_cd );
        
        Collection user_eid_cd = service.selectUserEidCodeList();
        session.setAttribute( "user_eid_cd", user_eid_cd );

        AesopdocumentDTO dto = new AesopdocumentDTO();
        dto = service.selectAesopdocument( aesopdocumentDTO );
        BeanUtils.copyProperties( aesopdocumentForm, dto );

        return (mapping.findForward("update"));
    }
}

