
/*
 * -----------------------------------------------------------------------------
 * File  Name     : InitAesopAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.01.04
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.01.04      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinit.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.aesopinit.service.AesopinitService;
import cc.struts.cian3.aesopinit.dto.AesopinitDTO;
import cc.struts.cian3.aesopinit.form.AesopinitForm;
import cc.struts.cian3.aesopuser.dto.AesopuserDTO;
import cc.struts.cian3.aesopuser.service.AesopuserService;
import cc.struts.cian3.aesopuser.form.AesopuserForm;
import cc.struts.cian3.aesopuser.dto.AesopuserDTO;

public final class InitAesopAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopinitService service = new AesopinitService();
        AesopinitForm aesopinitForm = (AesopinitForm) form;
        AesopinitDTO aesopinitDTO = new AesopinitDTO();
        BeanUtils.copyProperties( aesopinitDTO, aesopinitForm );

        int userEid = 0;

        AesopuserDTO dto = new AesopuserDTO();
        AesopuserDTO aesopuserDTO = new AesopuserDTO();
        AesopuserService service2 = new AesopuserService();
        
        try {
        	
        	userEid = service.checkAesopinit( aesopinitDTO );
            if( userEid == 0 ){
                ActionErrors errors = new ActionErrors();
                ActionError error = new ActionError("  ");
                errors.add( ActionErrors.GLOBAL_ERROR, error );
                saveErrors( request, errors );

            	return (mapping.findForward("failure"));
            }
            
            //  ǿ ø.
            aesopuserDTO.setEid( userEid );
            dto = service2.selectAesopuser( aesopuserDTO );
            
            HttpSession session = request.getSession();
            session.setAttribute( "session_user", dto );
            
        	ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "test" );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            return (mapping.findForward("success"));

        }catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopinspection.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }catch(Exception e){
        	e.printStackTrace();
        	return (mapping.findForward("error"));
        }
    }
}