
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopinspectionService.java
 * Description    : Service Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspection.service;

import cc.struts.cian3.aesopinspection.dto.AesopinspectionDTO;
import cc.struts.cian3.aesopinspection.dao.AesopinspectionDAO;
import cc.struts.cian3.dao.SuperDAO;

import java.util.Collection;


import cc.struts.cian3.exception.DatabaseException;

public class AesopinspectionService {

    public AesopinspectionDTO insertAesopinspection( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        int count=0;

        try {
            AesopinspectionDAO dao = new AesopinspectionDAO();
            aesopinspection.setUser_eid( dao.selectSeq() );
            aesopinspection.setDocument_eid( dao.selectSeq() );
            aesopinspection.setOverview_eid( dao.selectSeq() );
            aesopinspection.setEid( dao.selectSeq() );
            count = dao.insertAesopinspection( aesopinspection );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }

        return aesopinspection;
    }

    public AesopinspectionDTO[] selectAesopinspectionList( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        AesopinspectionDTO[] arrDto = null;

        try {
            AesopinspectionDAO dao = new AesopinspectionDAO();
            arrDto = dao.selectAesopinspectionList( aesopinspection );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return arrDto;
    }


    public AesopinspectionDTO selectAesopinspection( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        AesopinspectionDTO dto = new AesopinspectionDTO();

        try {
            AesopinspectionDAO dao = new AesopinspectionDAO();
            dto = dao.selectAesopinspection( aesopinspection );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return dto;
    }


    public AesopinspectionDTO updateAesopinspection( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        int count=0;

        try {
            AesopinspectionDAO dao = new AesopinspectionDAO();
            count = dao.updateAesopinspection( aesopinspection );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopinspection;
    }

    public AesopinspectionDTO deleteAesopinspection( AesopinspectionDTO aesopinspection ) throws DatabaseException {
        int count=0;

        try {
            AesopinspectionDAO dao = new AesopinspectionDAO();
            count = dao.deleteAesopinspection( aesopinspection );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopinspection;
    }
    
    public Collection selectResult_typeCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2105 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectReinspection_ynCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2106 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectRework_check_user_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectProducer_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectModerator_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectReader_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectRecorder_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector1_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector2_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector3_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector4_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector5_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector6_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector7_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector8_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector9_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectInspector10_eidCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2107 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

}
