
/*
 * -----------------------------------------------------------------------------
 * File  Name     : SelectAesopinspectionlistListAction.java
 * Description    : Action Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspectionlist.action;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;

import cc.struts.cian3.exception.DatabaseException;

import cc.struts.cian3.aesopinspectionlist.service.AesopinspectionlistService;
import cc.struts.cian3.aesopinspectionlist.form.AesopinspectionlistForm;
import cc.struts.cian3.aesopinspectionlist.dto.AesopinspectionlistDTO;

public final class SelectAesopinspectionlistListAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopinspectionlistService service = new AesopinspectionlistService();
        AesopinspectionlistForm aesopinspectionlistForm = (AesopinspectionlistForm) form;
        AesopinspectionlistDTO aesopinspectionlistDTO = new AesopinspectionlistDTO();
        BeanUtils.copyProperties( aesopinspectionlistDTO, aesopinspectionlistForm );
        AesopinspectionlistDTO[] arrDto = null;

        try {
            arrDto = service.selectAesopinspectionlistList( aesopinspectionlistDTO );

            request.setAttribute( "arrDto", arrDto );

            return (mapping.findForward("success"));
        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopinspectionlist.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }

    }
}
