
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateAesopinspectionlistAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspectionlist.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.aesopinspectionlist.service.AesopinspectionlistService;
import cc.struts.cian3.aesopinspectionlist.dto.AesopinspectionlistDTO;
import cc.struts.cian3.aesopinspectionlist.form.AesopinspectionlistForm;

public final class UpdateAesopinspectionlistAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopinspectionlistService service = new AesopinspectionlistService();
        AesopinspectionlistForm aesopinspectionlistForm = (AesopinspectionlistForm) form;
        AesopinspectionlistDTO aesopinspectionlistDTO = new AesopinspectionlistDTO();
        BeanUtils.copyProperties( aesopinspectionlistDTO, aesopinspectionlistForm );

        AesopinspectionlistDTO dto = new AesopinspectionlistDTO();

        try {

            service.updateAesopinspectionlist( aesopinspectionlistDTO );
            dto = service.selectAesopinspectionlist( aesopinspectionlistDTO );

            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "message.aesopinspectionlist.updatesuccess", Integer.toString(dto.getInspectionlist_eid()) );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            dto = service.selectAesopinspectionlist( aesopinspectionlistDTO );
            request.setAttribute( "dto", dto );

            return (mapping.findForward("success"));

        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopinspectionlist.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }
    }
}

