
/*
 * -----------------------------------------------------------------------------
 * File  Name     : DeleteAesopoverviewAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopoverview.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.aesopoverview.service.AesopoverviewService;
import cc.struts.cian3.aesopoverview.dto.AesopoverviewDTO;
import cc.struts.cian3.aesopoverview.form.AesopoverviewForm;

public final class DeleteAesopoverviewAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopoverviewService service = new AesopoverviewService();
        AesopoverviewForm aesopoverviewForm = (AesopoverviewForm) form;
        AesopoverviewDTO aesopoverviewDTO = new AesopoverviewDTO();
        BeanUtils.copyProperties( aesopoverviewDTO, aesopoverviewForm );

        AesopoverviewDTO dto = new AesopoverviewDTO();
        AesopoverviewDTO[] arrDto = null;
        
        try {
            dto = service.selectAesopoverview( aesopoverviewDTO );
            request.setAttribute( "dto", dto );

            service.deleteAesopoverview( aesopoverviewDTO );
            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "message.aesopoverview.deletesuccess", Integer.toString(dto.getDocument_eid()) );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            arrDto = service.selectAesopoverviewList( aesopoverviewDTO );
            request.setAttribute( "arrDto", arrDto );
            
            return (mapping.findForward("success"));

        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopoverview.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }
    }
}

