
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesoppreparationService.java
 * Description    : Service Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesoppreparation.service;

import cc.struts.cian3.aesoppreparation.dto.AesoppreparationDTO;
import cc.struts.cian3.aesoppreparation.dao.AesoppreparationDAO;
import cc.struts.cian3.dao.SuperDAO;

import java.util.Collection;


import cc.struts.cian3.exception.DatabaseException;

public class AesoppreparationService {

    public AesoppreparationDTO insertAesoppreparation( AesoppreparationDTO aesoppreparation ) throws DatabaseException {
        int count=0;

        try {
            AesoppreparationDAO dao = new AesoppreparationDAO();
            aesoppreparation.setUser_eid( dao.selectSeq() );
            aesoppreparation.setOverview_eid( dao.selectSeq() );
            aesoppreparation.setPreparation_eid( dao.selectSeq() );
            count = dao.insertAesoppreparation( aesoppreparation );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }

        return aesoppreparation;
    }

    public AesoppreparationDTO[] selectAesoppreparationList( AesoppreparationDTO aesoppreparation ) throws DatabaseException {
        AesoppreparationDTO[] arrDto = null;

        try {
            AesoppreparationDAO dao = new AesoppreparationDAO();
            arrDto = dao.selectAesoppreparationList( aesoppreparation );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return arrDto;
    }


    public AesoppreparationDTO selectAesoppreparation( AesoppreparationDTO aesoppreparation ) throws DatabaseException {
        AesoppreparationDTO dto = new AesoppreparationDTO();

        try {
            AesoppreparationDAO dao = new AesoppreparationDAO();
            dto = dao.selectAesoppreparation( aesoppreparation );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return dto;
    }


    public AesoppreparationDTO updateAesoppreparation( AesoppreparationDTO aesoppreparation ) throws DatabaseException {
        int count=0;

        try {
            AesoppreparationDAO dao = new AesoppreparationDAO();
            count = dao.updateAesoppreparation( aesoppreparation );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesoppreparation;
    }

    public AesoppreparationDTO deleteAesoppreparation( AesoppreparationDTO aesoppreparation ) throws DatabaseException {
        int count=0;

        try {
            AesoppreparationDAO dao = new AesoppreparationDAO();
            count = dao.deleteAesoppreparation( aesoppreparation );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesoppreparation;
    }
    
}
