
/*
 * -----------------------------------------------------------------------------
 * File  Name     : DeleteAesoppreparationlistAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesoppreparationlist.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.aesoppreparationlist.service.AesoppreparationlistService;
import cc.struts.cian3.aesoppreparationlist.dto.AesoppreparationlistDTO;
import cc.struts.cian3.aesoppreparationlist.form.AesoppreparationlistForm;

public final class DeleteAesoppreparationlistAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesoppreparationlistService service = new AesoppreparationlistService();
        AesoppreparationlistForm aesoppreparationlistForm = (AesoppreparationlistForm) form;
        AesoppreparationlistDTO aesoppreparationlistDTO = new AesoppreparationlistDTO();
        BeanUtils.copyProperties( aesoppreparationlistDTO, aesoppreparationlistForm );

        AesoppreparationlistDTO dto = new AesoppreparationlistDTO();

        try {
            service.deleteAesoppreparationlist( aesoppreparationlistDTO );
            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "message.aesoppreparationlist.deletesuccess", Integer.toString(aesoppreparationlistDTO.getPreparationlist_eid()) );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            return (mapping.findForward("success"));

        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesoppreparationlist.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }
    }
}

