
/*
 * -----------------------------------------------------------------------------
 * File  Name     : SelectAesopuserListAction.java
 * Description    : Action Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopuser.action;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;

import cc.struts.cian3.exception.DatabaseException;

import cc.struts.cian3.aesopuser.service.AesopuserService;
import cc.struts.cian3.aesopuser.form.AesopuserForm;
import cc.struts.cian3.aesopuser.dto.AesopuserDTO;

public final class SelectAesopuserListAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        AesopuserService service = new AesopuserService();
        AesopuserForm aesopuserForm = (AesopuserForm) form;
        AesopuserDTO aesopuserDTO = new AesopuserDTO();
        BeanUtils.copyProperties( aesopuserDTO, aesopuserForm );
        AesopuserDTO[] arrDto = null;

        try {
            arrDto = service.selectAesopuserList( aesopuserDTO );

            request.setAttribute( "arrDto", arrDto );

            return (mapping.findForward("success"));
        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.aesopuser.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }

    }
}
