
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopuserService.java
 * Description    : Service Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopuser.service;

import cc.struts.cian3.aesopuser.dto.AesopuserDTO;
import cc.struts.cian3.aesopuser.dao.AesopuserDAO;
import cc.struts.cian3.dao.SuperDAO;

import java.util.Collection;


import cc.struts.cian3.exception.DatabaseException;

public class AesopuserService {

    public AesopuserDTO insertAesopuser( AesopuserDTO aesopuser ) throws DatabaseException {
        int count=0;

        try {
            AesopuserDAO dao = new AesopuserDAO();
            aesopuser.setEid( dao.selectSeq() );
            count = dao.insertAesopuser( aesopuser );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }

        return aesopuser;
    }

    public AesopuserDTO[] selectAesopuserList( AesopuserDTO aesopuser ) throws DatabaseException {
        AesopuserDTO[] arrDto = null;

        try {
            AesopuserDAO dao = new AesopuserDAO();
            arrDto = dao.selectAesopuserList( aesopuser );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return arrDto;
    }


    public AesopuserDTO selectAesopuser( AesopuserDTO aesopuser ) throws DatabaseException {
        AesopuserDTO dto = new AesopuserDTO();

        try {
            AesopuserDAO dao = new AesopuserDAO();
            dto = dao.selectAesopuser( aesopuser );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return dto;
    }


    public AesopuserDTO updateAesopuser( AesopuserDTO aesopuser ) throws DatabaseException {
        int count=0;

        try {
            AesopuserDAO dao = new AesopuserDAO();
            count = dao.updateAesopuser( aesopuser );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopuser;
    }

    public AesopuserDTO deleteAesopuser( AesopuserDTO aesopuser ) throws DatabaseException {
        int count=0;

        try {
            AesopuserDAO dao = new AesopuserDAO();
            count = dao.deleteAesopuser( aesopuser );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesopuser;
    }
    
    public Collection selectUse_ynCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2102 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

    public Collection selectDelete_ynCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2102 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

}
