/*
 * -----------------------------------------------------------------------------
 * File  Name     : SetCharacterEncodingFilter.java
 * Description    : Filter Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2004.08.17
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2004.08.17      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.filter;

import java.io.IOException;
import javax.servlet.*;

public class SetCharacterEncodingFilter implements Filter {
  protected String encoding = null;
  protected FilterConfig filterConfig = null;
  protected boolean ignore = true;

  public void init(FilterConfig filterConfig) throws ServletException {
    this.filterConfig = filterConfig;
    this.encoding = filterConfig.getInitParameter("encoding");
    String value = filterConfig.getInitParameter("ignore");

    if      (value == null                 )  this.ignore = true;
    else if (value.equalsIgnoreCase("true"))  this.ignore = true;
    else if (value.equalsIgnoreCase("yes") )  this.ignore = true;
    else                                      this.ignore = false;
  }

  public void destroy() {
    this.encoding     = null;
    this.filterConfig = null;
  }

  public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
  throws IOException, ServletException {
    if (ignore || (request.getCharacterEncoding() == null)) {
      String encoding = selectEncoding(request);
      if (encoding != null) request.setCharacterEncoding(encoding);
    }

    chain.doFilter(request, response);
  }

  protected String selectEncoding(ServletRequest request) {
    return (this.encoding);
  }
}
