
/*
 * -----------------------------------------------------------------------------
 * File  Name     : UpdateWordsearchAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.09.25
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.09.25      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.wordsearch.action;

import org.apache.struts.action.*;
import org.apache.struts.action.Action;
import org.apache.commons.beanutils.BeanUtils;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cc.struts.cian3.exception.DatabaseException;
import cc.struts.cian3.wordsearch.service.WordsearchService;
import cc.struts.cian3.wordsearch.dto.WordsearchDTO;
import cc.struts.cian3.wordsearch.form.WordsearchForm;

public final class UpdateWordsearchAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        WordsearchService service = new WordsearchService();
        WordsearchForm wordsearchForm = (WordsearchForm) form;
        WordsearchDTO wordsearchDTO = new WordsearchDTO();
        BeanUtils.copyProperties( wordsearchDTO, wordsearchForm );

        WordsearchDTO dto = new WordsearchDTO();

        try {

            service.updateWordsearch( wordsearchDTO );
            dto = service.selectWordsearch( wordsearchDTO );

            ActionMessages messages = new ActionMessages();
            ActionMessage message = new ActionMessage( "message.wordsearch.updatesuccess", Integer.toString(dto.getEid()) );
            messages.add( ActionMessages.GLOBAL_MESSAGE, message );
            saveMessages( request, messages );

            dto = service.selectWordsearch( wordsearchDTO );
            request.setAttribute( "dto", dto );

            return (mapping.findForward("success"));

        }
        catch( DatabaseException de ) {
            ActionErrors errors = new ActionErrors();
            ActionError error = new ActionError("error.wordsearch.databaseException");
            errors.add( ActionErrors.GLOBAL_ERROR, error );
            saveErrors( request, errors );
            return (mapping.findForward("error"));
        }
    }
}

